package selenium;

import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;

public class PageObject {

    public WebDriver driver;
    WebElement lnkSignIn;
    WebElement signInModal;


    public PageObject(WebDriver driver){
        this.driver = driver;
    }

    public WebElement getLnkSignIn() {
        return driver.findElement(By.linkText("Sign In / Up"));
    }

    public WebElement getSignInModal() {
        return driver.findElement(By.id("sign-in-modal-link"));
    }

    public void navigateToUrl(String url){
        driver.get(url);
    }

}
